<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <filename>index</filename>
    <title>Generic interface for building scripting engines</title>
    <name>index</name>
  </compound>
  <compound kind="class">
    <name>KRegExpEditorInterface</name>
    <filename>classKRegExpEditorInterface.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setRegExp</name>
      <anchor>g0</anchor>
      <arglist>(const QString &amp;regexp)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setMatchText</name>
      <anchor>g3</anchor>
      <arglist>(const QString &amp;)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>doSomething</name>
      <anchor>g4</anchor>
      <arglist>(QString method, void *arguments)=0</arglist>
    </member>
    <member kind="signal" virtualness="pure">
      <type>virtual void</type>
      <name>canUndo</name>
      <anchor>j0</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="signal" virtualness="pure">
      <type>virtual void</type>
      <name>canRedo</name>
      <anchor>j1</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="signal" virtualness="pure">
      <type>virtual void</type>
      <name>changes</name>
      <anchor>j2</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>regExp</name>
      <anchor>a0</anchor>
      <arglist>() const=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptClientInterface</name>
    <filename>classKScriptClientInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>error</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>warning</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>output</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>progress</name>
      <anchor>a3</anchor>
      <arglist>(int percent)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>done</name>
      <anchor>a4</anchor>
      <arglist>(KScriptClientInterface::Result result, const QVariant &amp;returned)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptInterface</name>
    <filename>classKScriptInterface.html</filename>
    <base>QObject</base>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>script</name>
      <anchor>a0</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setScript</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;scriptFile)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setScript</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;scriptLibFile, const QString &amp;method)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>run</name>
      <anchor>a3</anchor>
      <arglist>(QObject *context=0, const QVariant &amp;arg=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>kill</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable">
      <type>KScriptClientInterface *</type>
      <name>ScriptClientInterface</name>
      <anchor>m0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptManager</name>
    <filename>classKScriptManager.html</filename>
    <base>QObject</base>
    <base>KScriptClientInterface</base>
    <member kind="slot">
      <type>void</type>
      <name>runScript</name>
      <anchor>g0</anchor>
      <arglist>(const QString &amp;scriptName, QObject *context=0, const QVariant &amp;arg=0)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptError</name>
      <anchor>j0</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptWarning</name>
      <anchor>j1</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptOutput</name>
      <anchor>j2</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptProgress</name>
      <anchor>j3</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptDone</name>
      <anchor>j4</anchor>
      <arglist>(KScriptClientInterface::Result result, const QVariant &amp;returned)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KScriptManager</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KScriptManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addScript</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;scriptDesktopFile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeScript</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;scriptName)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>scripts</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>warning</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>output</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>progress</name>
      <anchor>a9</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>done</name>
      <anchor>a10</anchor>
      <arglist>(KScriptClientInterface::Result result, const QVariant &amp;returned)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KMediaPlayer</name>
    <filename>namespaceKMediaPlayer.html</filename>
    <class kind="class">KMediaPlayer::Player</class>
    <class kind="class">KMediaPlayer::View</class>
  </compound>
  <compound kind="class">
    <name>KMediaPlayer::Player</name>
    <filename>classKMediaPlayer_1_1Player.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="enumeration">
      <name>State</name>
      <anchor>s4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Empty</name>
      <anchor>s4s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchor>s4s1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchor>s4s2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchor>s4s3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>pause</name>
      <anchor>g0</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>play</name>
      <anchor>g1</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>stop</name>
      <anchor>g2</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>seek</name>
      <anchor>g3</anchor>
      <arglist>(unsigned long msec)=0</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setLooping</name>
      <anchor>g4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loopingChanged</name>
      <anchor>j0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stateChanged</name>
      <anchor>j1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Player</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Player</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual View *</type>
      <name>view</name>
      <anchor>a3</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSeekable</name>
      <anchor>a4</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned long</type>
      <name>position</name>
      <anchor>a5</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasLength</name>
      <anchor>a6</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned long</type>
      <name>length</name>
      <anchor>a7</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLooping</name>
      <anchor>a8</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>state</name>
      <anchor>a9</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>setState</name>
      <anchor>h0</anchor>
      <arglist>(int)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMediaPlayer::View</name>
    <filename>classKMediaPlayer_1_1View.html</filename>
    <base>QWidget</base>
    <member kind="enumeration">
      <name>Button</name>
      <anchor>s5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchor>s5s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchor>s5s1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchor>s5s2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Seeker</name>
      <anchor>s5s3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>All</name>
      <anchor>s5s4</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setButtons</name>
      <anchor>g0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>button</name>
      <anchor>g1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showButton</name>
      <anchor>g2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>hideButton</name>
      <anchor>g3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleButton</name>
      <anchor>g4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>buttonsChanged</name>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::BlockSelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1BlockSelectionDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>bool</type>
      <name>blockSelectionMode</name>
      <anchor>v1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>setBlockSelectionMode</name>
      <anchor>v2</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>toggleBlockSelectionMode</name>
      <anchor>v3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BlockSelectionDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(BlockSelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BlockSelectionDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ClipboardDCOPInterface</name>
    <filename>classKTextEditor_1_1ClipboardDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>void</type>
      <name>copy</name>
      <anchor>v0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>cut</name>
      <anchor>v1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>paste</name>
      <anchor>v2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ClipboardDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(ClipboardInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ClipboardDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CompletionEntry</name>
    <filename>classKTextEditor_1_1CompletionEntry.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CodeCompletionInterface</name>
    <filename>classKTextEditor_1_1CodeCompletionInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showArgHint</name>
      <anchor>a3</anchor>
      <arglist>(QStringList functionList, const QString &amp;strWrapping, const QString &amp;strDelimiter)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showCompletionBox</name>
      <anchor>a4</anchor>
      <arglist>(QValueList&lt; CompletionEntry &gt; complList, int offset=0, bool casesensitive=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionAborted</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchor>a7</anchor>
      <arglist>(CompletionEntry)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>argHintHidden</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>filterInsertString</name>
      <anchor>a9</anchor>
      <arglist>(CompletionEntry *, QString *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DocumentInfoDCOPInterface</name>
    <filename>classKTextEditor_1_1DocumentInfoDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>DocumentInfoDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(DocumentInfoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DocumentInfoDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditDCOPInterface</name>
    <filename>classKTextEditor_1_1EditDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>text</name>
      <anchor>v0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>textLine</name>
      <anchor>v1</anchor>
      <arglist>(uint line)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>numLines</name>
      <anchor>v2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>length</name>
      <anchor>v3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>setText</name>
      <anchor>v4</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual bool</type>
      <name>insertText</name>
      <anchor>v5</anchor>
      <arglist>(uint line, uint col, const QString &amp;text)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeText</name>
      <anchor>v6</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual bool</type>
      <name>insertLine</name>
      <anchor>v7</anchor>
      <arglist>(uint line, const QString &amp;text)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeLine</name>
      <anchor>v8</anchor>
      <arglist>(uint line)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EditDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(EditInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EditDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditInterface</name>
    <filename>classKTextEditor_1_1EditInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>text</name>
      <anchor>a3</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>text</name>
      <anchor>a4</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>textLine</name>
      <anchor>a5</anchor>
      <arglist>(uint line) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>numLines</name>
      <anchor>a6</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>length</name>
      <anchor>a7</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>lineLength</name>
      <anchor>a8</anchor>
      <arglist>(uint line) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setText</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>clear</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertText</name>
      <anchor>a11</anchor>
      <arglist>(uint line, uint col, const QString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeText</name>
      <anchor>a12</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertLine</name>
      <anchor>a13</anchor>
      <arglist>(uint line, const QString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeLine</name>
      <anchor>a14</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>textChanged</name>
      <anchor>a15</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Editor</name>
    <filename>classKTextEditor_1_1Editor.html</filename>
    <base>KParts::ReadWritePart</base>
    <member kind="function">
      <type></type>
      <name>Editor</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EncodingDCOPInterface</name>
    <filename>classKTextEditor_1_1EncodingDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>EncodingDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(EncodingInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EncodingDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PrintDCOPInterface</name>
    <filename>classKTextEditor_1_1PrintDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>PrintDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(PrintInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PrintDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SearchDCOPInterface</name>
    <filename>classKTextEditor_1_1SearchDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>SearchDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(SearchInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SearchDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>bool</type>
      <name>setSelection</name>
      <anchor>v0</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>clearSelection</name>
      <anchor>v1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>hasSelection</name>
      <anchor>v2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>QString</type>
      <name>selection</name>
      <anchor>v3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>removeSelectedText</name>
      <anchor>v4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>selectAll</name>
      <anchor>v5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SelectionDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(SelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SelectionDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionExtDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionExtDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>int</type>
      <name>selStartLine</name>
      <anchor>v0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>selStartCol</name>
      <anchor>v1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>selEndLine</name>
      <anchor>v2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>selEndCol</name>
      <anchor>v3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionInterfaceExt</name>
    <filename>classKTextEditor_1_1SelectionInterfaceExt.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartLine</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartCol</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndLine</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndCol</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::UndoDCOPInterface</name>
    <filename>classKTextEditor_1_1UndoDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>UndoDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(UndoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~UndoDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::View</name>
    <filename>classKTextEditor_1_1View.html</filename>
    <base>QWidget</base>
    <base>KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchor>a0</anchor>
      <arglist>(class Document *, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class Document *</type>
      <name>document</name>
      <anchor>a4</anchor>
      <arglist>() const=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewCursorDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>QPoint</type>
      <name>cursorCoordinates</name>
      <anchor>v1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>cursorPosition</name>
      <anchor>v2</anchor>
      <arglist>(uint line, uint col)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>cursorPositionReal</name>
      <anchor>v3</anchor>
      <arglist>(uint line, uint col)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>setCursorPosition</name>
      <anchor>v4</anchor>
      <arglist>(uint line, uint col)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>setCursorPositionReal</name>
      <anchor>v5</anchor>
      <arglist>(uint line, uint col)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewCursorDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(ViewCursorInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewCursorDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorInterface</name>
    <filename>classKTextEditor_1_1ViewCursorInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual class QPoint</type>
      <name>cursorCoordinates</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPosition</name>
      <anchor>a4</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPositionReal</name>
      <anchor>a5</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPosition</name>
      <anchor>a6</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPositionReal</name>
      <anchor>a7</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewStatusMsgDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>ViewStatusMsgDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(ViewStatusMsgInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewStatusMsgDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
